FROM python:3.8.4-slim

WORKDIR /app

COPY requirements.txt /app

RUN pip config set global.index-url https://pypi.mirrors.ustc.edu.cn/simple/ 

RUN apt-get update && \
    apt-get upgrade -y && \
    apt-get install -y git

RUN apt-get install -y tk

RUN pip3 install --trusted-host pypi.python.org -r requirements.txt 

COPY . /app

CMD ["python", "gfp_gan.py"]
